Bug 27979 - Cannot scroll for box-reflect:right
Summary: Cannot scroll for box-reflect:right
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC OS X 10.5
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-08-04 03:15 PDT by Shinichiro Hamaji
Modified: 2009-08-07 00:32 PDT (History)
1 user (show)

See Also:


Attachments
Test case (420 bytes, text/html)
2009-08-04 03:15 PDT, Shinichiro Hamaji
no flags Details
Patch v1 (6.03 KB, patch)
2009-08-04 03:22 PDT, Shinichiro Hamaji
no flags Details | Formatted Diff | Diff
Patch v2 (29.91 KB, patch)
2009-08-04 03:27 PDT, Shinichiro Hamaji
no flags Details | Formatted Diff | Diff
Patch v3 (31.60 KB, patch)
2009-08-04 08:50 PDT, Shinichiro Hamaji
no flags Details | Formatted Diff | Diff
Patch v4 (6.80 KB, patch)
2009-08-04 09:52 PDT, Shinichiro Hamaji
abarth: commit-queue+
Details | Formatted Diff | Diff
Patch v5 (8.22 KB, patch)
2009-08-06 20:24 PDT, Shinichiro Hamaji
abarth: commit-queue+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Shinichiro Hamaji 2009-08-04 03:15:07 PDT
Created attachment 34052 [details]
Test case

See the attached test case. For vertical reflection, we can move scrollbar to see the reflected image. However, we don't see a scrollbar for horizontal reflection. I'll send a patch soon later.
Comment 1 Shinichiro Hamaji 2009-08-04 03:22:28 PDT
Created attachment 34054 [details]
Patch v1


---
 7 files changed, 67 insertions(+), 3 deletions(-)
Comment 2 Shinichiro Hamaji 2009-08-04 03:27:30 PDT
Created attachment 34057 [details]
Patch v2


---
 7 files changed, 67 insertions(+), 3 deletions(-)
Comment 3 Shinichiro Hamaji 2009-08-04 03:28:17 PDT
I should have sent a png image in the patch.
Comment 4 Shinichiro Hamaji 2009-08-04 08:50:25 PDT
Created attachment 34066 [details]
Patch v3


---
 9 files changed, 96 insertions(+), 4 deletions(-)
Comment 5 Shinichiro Hamaji 2009-08-04 08:52:53 PDT
Sorry, I forgot to add the html file of layout test and the change of expected results.
Comment 6 Eric Seidel (no email) 2009-08-04 09:12:05 PDT
Comment on attachment 34066 [details]
Patch v3

Looks good to me.  We could probably even make this a dumpAsText test.  But this is also OK as is.
Comment 7 Shinichiro Hamaji 2009-08-04 09:30:25 PDT
(In reply to comment #6)
> (From update of attachment 34066 [details])
> Looks good to me.  We could probably even make this a dumpAsText test.  But
> this is also OK as is.

This test is checking if scrollbar exists (if the size of reflected images are considered, the scrollbar should apprear). I think this kind of test can be done by dumpAsText test. Or, can we get overflowWidth from JavaScript?
Comment 8 Shinichiro Hamaji 2009-08-04 09:52:13 PDT
Created attachment 34071 [details]
Patch v4


---
 8 files changed, 106 insertions(+), 4 deletions(-)
Comment 9 Shinichiro Hamaji 2009-08-04 09:53:47 PDT
> This test is checking if scrollbar exists (if the size of reflected images are
> considered, the scrollbar should apprear). I think this kind of test can be
> done by dumpAsText test. Or, can we get overflowWidth from JavaScript?

Ah, I've found the way. I could change the position of scroll bar to see if the scroll bar is working.
Comment 10 Eric Seidel (no email) 2009-08-06 18:17:47 PDT
Comment on attachment 34071 [details]
Patch v4

Still extra junk at the end of the test text output.  But looks fine.
Comment 11 Shinichiro Hamaji 2009-08-06 20:24:37 PDT
Created attachment 34244 [details]
Patch v5


---
 10 files changed, 121 insertions(+), 4 deletions(-)
Comment 12 Adam Barth 2009-08-07 00:32:12 PDT
Comment on attachment 34244 [details]
Patch v5

Clearing review flag on attachment: 34244

Committing to http://svn.webkit.org/repository/webkit/trunk ...
	M	LayoutTests/ChangeLog
	A	LayoutTests/fast/reflections/reflection-overflow-scroll-expected.txt
	A	LayoutTests/fast/reflections/reflection-overflow-scroll.html
	A	LayoutTests/fast/reflections/resources/reflection-overflow-scroll.js
	M	LayoutTests/platform/mac/fast/reflections/reflection-nesting-expected.txt
	M	LayoutTests/platform/mac/fast/repaint/reflection-redraw-expected.txt
	M	WebCore/ChangeLog
	M	WebCore/rendering/RenderBlock.cpp
	M	WebKitTools/ChangeLog
	M	WebKitTools/Scripts/make-js-test-wrappers
Committed r46889
	M	WebCore/ChangeLog
	M	WebCore/rendering/RenderBlock.cpp
	M	LayoutTests/platform/mac/fast/repaint/reflection-redraw-expected.txt
	M	LayoutTests/platform/mac/fast/reflections/reflection-nesting-expected.txt
	M	LayoutTests/ChangeLog
	A	LayoutTests/fast/reflections/reflection-overflow-scroll-expected.txt
	A	LayoutTests/fast/reflections/reflection-overflow-scroll.html
	A	LayoutTests/fast/reflections/resources/reflection-overflow-scroll.js
	M	WebKitTools/ChangeLog
	M	WebKitTools/Scripts/make-js-test-wrappers
r46889 = e8e74017eb842f4b9ac3313823d6b8fb47f69f56 (trunk)
No changes between current HEAD and refs/remotes/trunk
Resetting to the latest refs/remotes/trunk
http://trac.webkit.org/changeset/46889
Comment 13 Adam Barth 2009-08-07 00:32:16 PDT
All reviewed patches have been landed.  Closing bug.